> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger repricing

> This operation will trigger repricing for the given transactionId and its purchaseDetailIds



## OpenAPI

````yaml purchase-detail post /v1/reprice
openapi: 3.0.3
info:
  description: API to manage purchase details
  version: '1'
  title: Purchase Details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/purchase-detail
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/purchase-detail
    description: Live environment
security: []
tags:
  - name: Create purchase details
    description: Endpoint for creating purchase details
  - name: Update purchase details
    description: Endpoints for updating purchase details
  - name: Get purchase details
    description: Endpoints for fetching purchase details
  - name: Trigger repricing
    description: Endpoints for triggering repricing
paths:
  /v1/reprice:
    post:
      tags:
        - Trigger repricing
      summary: Trigger repricing
      description: >-
        This operation will trigger repricing for the given transactionId and
        its purchaseDetailIds
      operationId: triggerRepricingUsingPOST
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/postRepricingRequest'
      responses:
        '201':
          description: Successfully triggered
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/resourceResponse'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '500':
          $ref: '#/components/responses/error500'
      deprecated: false
components:
  requestBodies:
    postRepricingRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/postRepricingV1ResourceBody'
      description: Request information needed to create trigger a repricing
      required: true
  schemas:
    resourceResponse:
      type: object
      properties:
        description:
          type: string
          description: Short description of the result of the action
        id:
          type: string
          description: Will contain the ID of the resource that has been created or updated
      title: resourceResponse
    postRepricingV1ResourceBody:
      allOf:
        - $ref: '#/components/schemas/triggerRepricingBody'
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaing reason of error
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occured
    triggerRepricingBody:
      type: object
      properties:
        transactionId:
          type: string
          description: The transactionId to which the purchase details belong
        purchaseDetailIds:
          type: array
          description: A list of the id's of the purchase details that you want to reprice
          items:
            type: string
  responses:
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````